Packages

Get Package UIDs Export

  • Retrieves CDN Pre-signed URL for the Inventory Package UIDs JSON file for the dispensary associated to the API Key.

  • The Package UID Export is processed for all inventory records that LucidRetail manages on a daily basis at a configured time. Please communicate with your LucidGreen contact to ensure this file is configured exported at the appropriate time of the day and that the Dispensary has this feature enabled.

  • Note that it can take up to 30 minutes to process this export data, so ensure your API call to request the data file location is made after the expected time of the export file generation, and that if it is not yet available (still processing) that the API call is made again after a short wait time.

Endpoint

GET /api/v1.2/package-uids-export/?export_date=<YYYY-MM-DD>

  • export_date is optional. When not specified, the most recent export will be used (note that this may be yesterday’s or an older export).

Response

  • 428 - API Keys are not associated with a dispensary, or this feature is not enabled for the dispensary

  • 422 - Failed to export package uids.

  • 404 - Export is not available.

  • 400 - export_date specified is a future date.

  • 202 - Export is still in progress. Try again later.

  • 200 - Export was successful and URL has been returned in response.

In case of an error, response will contain an error message:

{
  "error": "<error description>"
}

Otherwise, the link to the JSON file will be returned:

{
  "export_url": "<export url>"
}

Response Fields

Field

Type

Description

export_url

string

Pre-signed CDN URL to download the JSON export file

error

string

Error description (only present on error responses)

Query Parameters

Parameter

Required

Description

export_date

no

Date in YYYY-MM-DD format. When not specified, the most recent export is returned

CaseID–LucidID associations JSON format

{
  "<package_uid_1>": {
    "<case_id_shortuuid>": [
      "<lucid_id_shortuuid>",
      "<lucid_id_shortuuid>",
      "<lucid_id_shortuuid>"
    ],
    "<case_id_shortuuid>": [
      "<lucid_id_shortuuid>",
      "<lucid_id_shortuuid>",
      "<lucid_id_shortuuid>"
    ]
  },
  "<package_uid_2>": {}
}